libsswf: sswf::TagShowFrame Class Reference

# sswf::TagShowFrame Class Reference

Tag marking the limit between each frame. More...

`#include <libsswf.h>`

Inheritance diagram for sswf::TagShowFrame:

List of all members.

## Public Member Functions
virtual ErrorManager::error_code_t | Save (Data &data)
| Save the ShowFrame in the Data buffer.
| TagShowFrame (TagBase *parent)
| Initializes the show frame tag.
virtual swf_type_t | TypeFlags (void) const
| Returns the type of the TagShowFrame.
## Private Member Functions
virtual ErrorManager::error_code_t | ParseTag (swf_tag_t tag, const Data &data)
| Parse data from a file into a ShowFrame tag.

## Detailed Description

Whenever this tag is reached, the current image is shown to the user.

A show frame tag is also the place where a movie stops if paused.

See also:
  SWF Alexis' Reference—Show Frame

  SWF Alexis' Reference—swf_tag

## Constructor & Destructor Documentation

TagShowFrame::TagShowFrame | ( | TagBase * | parent | ) |

The constructor initializes the show frame tag.

Parameters:

  `[in]` | parent | The parent of the TagShowFrame (TagHeader or TagSprite)

## Member Function Documentation

ErrorManager::error_code_t TagShowFrame::ParseTag | ( | swf_tag_t | tag,
|  | const Data & | data |
| ) |  |  | `[private, virtual]`

This function does nothing since the ShowFrame tag has no data.

Parameters:

  `[in]` | tag | The tag that generated this call
  `[in]` | data | The Data buffer from the Flash file being loaded

Returns:
  An error if one occurs, or ErrorManager::ERROR_CODE_NONE

Implements sswf::TagBase.

References sswf::ErrorManager::ERROR_CODE_NONE.

ErrorManager::error_code_t TagShowFrame::Save | ( | Data & | data | ) | `[virtual]`

This function saves the TagShowFrame tag in the specified Data buffer.

Parameters:

  `[in,out]` | data | The Data buffer where the data is saved

Returns:
  An error if one occurs, or ErrorManager::ERROR_CODE_NONE

Implements sswf::TagBase.

References sswf::ErrorManager::ERROR_CODE_NONE, sswf::TagBase::Parent(), sswf::TagBase::SaveTag(), sswf::TagBase::ShowFrame(), and sswf::TagBase::SWF_TAG_SHOW_FRAME.

TagBase::swf_type_t TagShowFrame::TypeFlags | ( | void |  | ) | const`[virtual]`

This function returns SWF_TYPE_CONTROL.

Returns:
  Returns SWF_TYPE_CONTROL

Implements sswf::TagBase.

References SWF_TYPE_CONTROL.

The documentation for this class was generated from the following files:

- libsswf.h
- libsswf_tag_showframe.c++